function [ dataprocessed, start5, start3] =jytwotoeholdcombine(file5, file3, I50, I30, VT0, startpointsensitivity, mixtime, varargin)

%The automatic starpoint-finding code has been deleted from the normalise function called within this code.
%The code will therefore only function if fed a 3d vector of experiment
%start times as par of varargin.



if nargin==9
windowopen=varargin{1}
windowclose=varargin{2}
[processed5, ref5, start5]=jytwotoeholdnormalise( file5, startpointsensitivity, mixtime, I50, VT0, windowopen, windowclose);
[processed3, ref3, start3]=jytwotoeholdnormalise( file3, startpointsensitivity, mixtime, I30, VT0, windowopen, windowclose);
sfng='Window defined to find startpoint so will look in this interval'
else if nargin>9
        windowopen=varargin{1}
        windowclose=varargin{2}
        startindex = varargin{3}
    [processed5, ref5, start5]=jytwotoeholdnormalise( file5, startpointsensitivity, mixtime, I50, VT0, windowopen, windowclose, startindex);
    [processed3, ref3, start3]=jytwotoeholdnormalise( file3, startpointsensitivity, mixtime, I30, VT0, windowopen, windowclose, startindex);
sfng='Start index specified so will use this as the startpointindex'
else

[processed5, ref5, start5]=jytwotoeholdnormalise( file5, startpointsensitivity, mixtime, I50, VT0);
[processed3, ref3, start3]=jytwotoeholdnormalise( file3, startpointsensitivity, mixtime, I30, VT0);
sfng='No window specified so judging start point using pauses in data acquisition'
    end
end
startpointfound=0;
while startpointfound==0
start5-start3
pause(1)
for ii=1:3
if abs(start5(ii)-start3(ii))>2
    ii
    g='The fitted startpoint is not consistent between wavesets'

    startpointfoundvector(ii)=0
    windowopen=3000;
    windowclose=90000;
        close all
    [processed5, ref5, start5]=jytwotoeholdnormalise( file5, startpointsensitivity, mixtime, I50, VT0, windowopen, windowclose, [start5(1), start3(2), start3(3)]);
    [processed3, ref3, start3]=jytwotoeholdnormalise( file3, startpointsensitivity, mixtime, I30, VT0, windowopen, windowclose, [start5(1), start3(2), start3(3)]);

else
    startpointfoundvector(ii)=1
end
startpointfound=min(startpointfoundvector)

%startpoints don't match so try again with a different window

end

end





dataprocessed=[processed5(:,1), processed5(:,2), processed3(:,1), processed3(:,2), processed5(:,3), processed5(:,4), processed3(:,3), processed3(:,4), processed5(:,5), processed5(:,6), processed3(:,5), processed3(:,6)];     

% Extract headers from first file to use as headers in the merged file and
% write these and the merged data to a new file with name appended with
% '_WSM'
    [PATHSTR,NAME,EXT]=fileparts(file5)
    nameparts=strsplit(NAME, '_')
    newname=strcat(nameparts{1}, '_WSM', EXT)
    pritn='Saving a file...'
    fileID=fopen(newname,'w');
    % Table Data
    dlmwrite(newname,dataprocessed, '-append', 'delimiter', '\t') 
    fclose('all');

end